#pragma once
#include <electricity/logger/dsmr.hpp>
#include <sqlite3.h>
#include <string>

class Database {
private:
    sqlite3 * connectionPtr;

public:
    void Insert(DSMR::Data const & data, time_t const time);

    Database(std::string const & databaseFilePath);
    ~Database();
};